
const RARETE_COMMUNE = { code: 'Commune', label: 'Commune', frequence: 54, min: 27, max: 108 };
const RARETE_FREQUENTE = { code: 'Frequente', label: 'Fréquente', frequence: 18, min: 9, max: 36 };
const RARETE_RARE = { code: 'Rare', label: 'Rare', frequence: 6, min: 3, max: 12 };
const RARETE_RARISSIME = { code: 'Rarissime', label: 'Rarissime', frequence: 2, min: 1, max: 4 };
const RARETE_INEXISTANT = { code: 'Inexistant', label: 'Inexistant', frequence: 0, min: 0, max: 0 };
const RARETE_EGALE = { code: 'egal', label: 'Egal', frequence: 1, min: 1, max: 1 };

export const RARETES = [
  RARETE_COMMUNE,
  RARETE_FREQUENTE,
  RARETE_RARE,
  RARETE_RARISSIME,
  RARETE_INEXISTANT,
]

export class RdDRaretes {

  static rareteFrequente() { return RARETE_FREQUENTE; }
  static rareteEgale() { return RARETE_EGALE; }
  static raretes() { return RARETES; }

  static byCode(code = undefined) {
    return RARETES.find(it => it.code == code) ?? RARETE_FREQUENTE;
  }

  static getChamp(rarete, field = undefined) {
    return RdDRaretes.byCode(rarete)[field ?? 'frequence'];
  }

}